Package: io.vertx.groovy.ext.asyncsql

## [Groovy] Class PostgreSQLClient

- io.vertx.groovy.ext.asyncsql.PostgreSQLClient

- Represents an PostgreSQL client

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PostgreSQLClient (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static AsyncSQLClient` | `createNonShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)` Create a PostgreSQL client which maintains its own pool.
    `static AsyncSQLClient` | `createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config, java.lang.String poolName)` Create a PostgreSQL client which shares its pool with any other MySQL clients created with the same pool name.
    `static AsyncSQLClient` | `createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)` Like PostgreSQLClient.createShared but with the default pool name
    `java.lang.Object` | `getDelegate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AsyncSQLClient` | `close, close, getConnection, getDelegate`

- - ### Constructor Detail

    - #### PostgreSQLClient(java.lang.Object delegate)

  - ### Method Detail

    - #### static AsyncSQLClient createNonShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)

      Create a PostgreSQL client which maintains its own pool.

      Returns:
        the client
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration

    - #### static AsyncSQLClient createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config, java.lang.String poolName)

      Create a PostgreSQL client which shares its pool with any other MySQL clients created with the same pool name.

      Returns:
        the client
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
        `poolName` - the pool name

    - #### static AsyncSQLClient createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)

      Like PostgreSQLClient.createShared but with the default pool name

      Returns:
        the client
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration

    - #### java.lang.Object getDelegate()